apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: rancher-backup-crd
  namespace: flux-system
spec:
  interval: 10m
  targetNamespace: cattle-resources-system
  chart:
    spec:
      chart: ./infrastructure/charts/rancher-backup-crd
      sourceRef:
        kind: GitRepository
        name: platform
        namespace: flux-system
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
